summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--python/py-cpuinfo/README2
-rw-r--r--python/py-cpuinfo/py-cpuinfo.SlackBuild78
-rw-r--r--python/py-cpuinfo/py-cpuinfo.info10
-rw-r--r--python/py-cpuinfo/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/python/py-cpuinfo/README b/python/py-cpuinfo/README
new file mode 100644
index 0000000000..5a13daab48
--- /dev/null
+++ b/python/py-cpuinfo/README
@@ -0,0 +1,2 @@
+py-cpuinfo retrieves CPU information with pure Python. It works with Python 2
+and 3, and does not require any compilation.
diff --git a/python/py-cpuinfo/py-cpuinfo.SlackBuild b/python/py-cpuinfo/py-cpuinfo.SlackBuild
new file mode 100644
index 0000000000..297deebfe2
--- /dev/null
+++ b/python/py-cpuinfo/py-cpuinfo.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for py-cpuinfo
+
+# Copyright 2017 Philip Lacroix <slackph at posteo dot de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=py-cpuinfo
+VERSION=${VERSION:-20170112}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Source ID (GitHub).
+SRCVER=${SRCVER:-c07382c374f4c400f0f2796d81c17e271350e543}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvzf $CWD/$PRGNAM-$SRCVER.tar.gz
+
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+PRGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+
+# Install documentation.
+mkdir -p $PRGDOC
+cp -a ChangeLog LICENSE README.md $PRGDOC/
+cat $CWD/$PRGNAM.SlackBuild > $PRGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/py-cpuinfo/py-cpuinfo.info b/python/py-cpuinfo/py-cpuinfo.info
new file mode 100644
index 0000000000..1fc7a96999
--- /dev/null
+++ b/python/py-cpuinfo/py-cpuinfo.info
@@ -0,0 +1,10 @@
+PRGNAM="py-cpuinfo"
+VERSION="20170112"
+HOMEPAGE="https://github.com/workhorsy/py-cpuinfo"
+DOWNLOAD="https://github.com/workhorsy/py-cpuinfo/archive/c07382c374f4c400f0f2796d81c17e271350e543/py-cpuinfo-c07382c374f4c400f0f2796d81c17e271350e543.tar.gz"
+MD5SUM="d57130c9b265843419b3179deea10e9c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Philip Lacroix"
+EMAIL="slackph at posteo dot de"
diff --git a/python/py-cpuinfo/slack-desc b/python/py-cpuinfo/slack-desc
new file mode 100644
index 0000000000..cb9aed701d
--- /dev/null
+++ b/python/py-cpuinfo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+py-cpuinfo: py-cpuinfo (retrieve CPU information)
+py-cpuinfo:
+py-cpuinfo: py-cpuinfo retrieves CPU information with pure Python. It works with
+py-cpuinfo: Python 2 and 3, and does not require any compilation.
+py-cpuinfo:
+py-cpuinfo: Homepage: https://github.com/workhorsy/py-cpuinfo
+py-cpuinfo:
+py-cpuinfo:
+py-cpuinfo:
+py-cpuinfo:
+py-cpuinfo: